Summary:     The Distributed Checksum Clearinghouse (DCC) client
Name:        dcc-client
Version:     1.2.71
Release:     5.pp
License:     See LICENSE
Group:       Applications/Internet
Source0:     http://www.dcc-servers.net/dcc/source/dcc-dccproc-%{version}.tar.Z
URL:         http://www.dcc-servers.net/dcc/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Rhyolite Software
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc perl
Provides:    %{name}.pp
BuildPrereq: gcc >= 2.96 perl /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel
ExclusiveOS: linux


%description
The DCC or Distributed Checksum Clearinghouse is a system of
thousands of clients and more than 150 servers that collects
and count checksums related to several million mail messages
per day, most as seen by Internet Service Providers. The counts
can be used by SMTP servers and mail user agents to detect and
reject or filter spam or unsolicited bulk mail. DCC servers
exchange or "flood" common checksums. The checksums include
values that are constant across common variations in bulk
messages, including "personalizations."


%prep
%setup -q -n dcc-dccproc-%{version}


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--homedir=/var/lib/dcc        \
	--bindir=/usr/bin             \
	--libexecdir=/usr/libexec/dcc \
	--mandir=/usr/share/man       \
	--without-sendmail
make


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/libexec/dcc
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
mkdir -p $RPM_BUILD_ROOT/var/lib/dcc
for tools in dccifd dccsight misc; do
   cp -f $tools/Makefile tmp_file
   sed -e "s:DCC_BINDIR:DCC_LIBEXECDIR:g" tmp_file > $tools/Makefile
   rm -f tmp_file
done
make \
	DCC_HOMEDIR="$RPM_BUILD_ROOT/var/lib/dcc"           \
	HOMEDIR="$RPM_BUILD_ROOT/var/lib/dcc"               \
	DCC_LIBEXECDIR="$RPM_BUILD_ROOT/usr/libexec/dcc"    \
	LIBEXECDIR="$RPM_BUILD_ROOT/usr/libexec/dcc"        \
	DCC_BINDIR="$RPM_BUILD_ROOT/usr/bin"                \
	BINDIR="$RPM_BUILD_ROOT/usr/bin"                    \
	DCC_MANDIR="$RPM_BUILD_ROOT/usr/share/man/man"      \
	MANDIR="$RPM_BUILD_ROOT/usr/share/man/man"          \
	DCC_CGIBINDIR="$RPM_BUILD_ROOT/var/lib/dcc/cgi-bin" \
	CGIBINDIR="$RPM_BUILD_ROOT/var/lib/dcc/cgi-bin"     \
	install


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc *.txt *.html CHANGES LICENSE
/usr/bin/*
%dir /usr/libexec/dcc
/usr/libexec/dcc/*
/usr/share/man/man8/*
%dir /var/lib/dcc
%config /var/lib/dcc/*


%changelog
* Mon Mar 14 2005 peter.pramberger@member.fsf.org
- new version 1.2.71

* Thu Nov 25 2004 peter.pramberger@member.fsf.org
- new version 1.2.62

* Tue Sep 28 2004 peter.pramberger@member.fsf.org
- new version 1.2.54

* Fri Mar 19 2004 peter.pramberger@member.fsf.org
- new version 1.2.36

* Sun Dec 28 2003 peter.pramberger@member.fsf.org
- new version 1.2.25

* Sun Jul 20 2003 peter.pramberger@member.fsf.org
- created

